using Tiobon.Core.Model;

namespace Tiobon.Core.IServices;

public partial interface IGuestbookServices : IBaseServices<Guestbook>
{
    Task<ServiceResult<string>> TestTranInRepository();
    Task<bool> TestTranInRepositoryAOP();

    Task<bool> TestTranPropagation();

    Task<bool> TestTranPropagationNoTran();

    Task<bool> TestTranPropagationTran();
}